package cn.net.cpzslibs.prot.handset.bean.req;

import java.util.List;

public class Prot20044ReqBean {

	private String product_id;
	private String produce_date;
	private String produce_batch;
	private String producer;
	private String breed_id;
	private int type;
	private List<String> single;
	private Prot20002ReqBatchBean batcher;
	
	public Prot20044ReqBean(){
		
	}
	
	public Prot20044ReqBean(String product_id, String produce_date,
			String produce_batch, String producer, String breed_id, int type,
			List<String> single, Prot20002ReqBatchBean batcher) {
		super();
		this.product_id = product_id;
		this.produce_date = produce_date;
		this.produce_batch = produce_batch;
		this.producer = producer;
		this.breed_id = breed_id;
		this.type = type;
		this.single = single;
		this.batcher = batcher;
	}
	
	public String getProduct_id() {
		return product_id;
	}
	public void setProduct_id(String product_id) {
		this.product_id = product_id;
	}
	public String getProduce_date() {
		return produce_date;
	}
	public void setProduce_date(String produce_date) {
		this.produce_date = produce_date;
	}
	public String getProduce_batch() {
		return produce_batch;
	}
	public void setProduce_batch(String produce_batch) {
		this.produce_batch = produce_batch;
	}
	public String getProducer() {
		return producer;
	}
	public void setProducer(String producer) {
		this.producer = producer;
	}
	public String getBreed_id() {
		return breed_id;
	}
	public void setBreed_id(String breed_id) {
		this.breed_id = breed_id;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public List<String> getSingle() {
		return single;
	}
	public void setSingle(List<String> single) {
		this.single = single;
	}
	public Prot20002ReqBatchBean getBatcher() {
		return batcher;
	}
	public void setBatcher(Prot20002ReqBatchBean batcher) {
		this.batcher = batcher;
	}
	@Override
	public String toString() {
		return "Prot20044ReqBean [product_id=" + product_id + ", produce_date="
				+ produce_date + ", produce_batch=" + produce_batch
				+ ", producer=" + producer + ", breed_id=" + breed_id
				+ ", type=" + type + ", single=" + single + ", batcher="
				+ batcher + "]";
	}
	
	
}
